Announcement

Collapse
No announcement yet.

SSL (HTTPS) Problem with vBulletin 4

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • SSL (HTTPS) Problem with vBulletin 4

    Hello,

    I'm using the vBulletin 4.2.3 Patch Level 1 and it was working just fine. But as you probably know Google announced that it will mark the websites without SSL as insecure after the new year so we just decided to start using ssl (https) protocol.

    We just successfully installed it and configured the settings of vBulletin to work with https instead of http.
    The problem is that after we started using of https the WYSIWYG editor just stopped working. Than from the javascript console I just realized that it is trying to load it using http and the browser is blocking it because it's not loading from a secure https.

    This is what it's showing in the javascript console of the browser.

    and this one is the look of the editor.

    The question is how can I solve this issue and make the editor to load from https protocol instead of http.

    Thank you in advance and sorry for my bad English.
    Last edited by SGA; Sun 11th Sep '16, 4:29pm.

  • #2
    There isnt a "final" version of vB4, so what version are you actually using ?
    Baby, I was born this way

    Comment


    • #3
      It is vBulletin 4.2.3 Patch Level 1

      Comment


      • #4
        Anyone knows why is this happening?

        Comment


        • #5
          Have you made sure the URL settings have been updated to reflect https?

          Are you redirecting http to https?

          Also make sure your browser cache and cookies have been cleared and the browser restarted.
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.5.6 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • #6
            Originally posted by Mark.B View Post
            Have you made sure the URL settings have been updated to reflect https?

            Are you redirecting http to https?

            Also make sure your browser cache and cookies have been cleared and the browser restarted.
            Yes I just changed all the settings to https and everything other is loading directly with https with exception the editor.

            Yes I am using .htaccess
            Code:
            RewriteEngine On
            RewriteCond %{HTTPS} !=on
            RewriteCond %{HTTP:X-Forwarded-Proto} !https [NC]
            RewriteRule ^ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]
            to redirect the http requests to https version of the same page.

            I tried with a lot of browser even with Internet Explorer it's the game. The problem solves only if I disable the advanced editor by default but than it's really hard to use the forum for those who don't know how to use the BB codes manually.

            Comment


            • #7
              This doesn't happen on a default installation so there is something wronh with your setup somewhere.

              I would suggest sending in a support ticket using the link in the footer. We'll need admincp access with full permissions, and an ftp login.
              MARK.B | vBULLETIN SUPPORT

              TalkNewsUK - My vBulletin 5.5.6 Demo
              AdminAmmo - My Cloud Demo

              Comment


              • #8
                Im pretty sure that some parts of CKE were hard coded to use http, that might still be the case.
                Baby, I was born this way

                Comment


                • #9
                  try this...

                  edit the code below in includes/class_core.php

                  define('VB_URL_SCHEME', $url_info['scheme']);

                  to

                  define('VB_URL_SCHEME', 'https');
                  Last edited by kimtan; Mon 27th Mar '17, 6:17am.
                  vBulletin Works --> HIRE ME

                  Comment


                  • #10
                    Editing the core is not a great idea.

                    If you upgrade to 4.2.5 there is a new config option you can use for this.

                    PHP Code:
                    /* #### FORCE URL SCHEME ####
                    By default, vBulletin will try and work out what URL scheme to use (http or https) by checking the incoming page request.
                    However, in some circumstances, this can fail. You can force the scheme to 'http://' or 'https://' using the below setting. */
                    //$config['Misc']['vb_url_scheme'] = 'https://'; 
                    Baby, I was born this way

                    Comment


                    • #11
                      WOW Thnkas Paul M I looked on it on my config.php and haven't found this option.. I realized my config.php is version 4.2.4
                      vBulletin Works --> HIRE ME

                      Comment


                      • #12
                        Originally posted by kimtan View Post
                        WOW Thnkas Paul M I looked on it on my config.php and haven't found this option.. I realized my config.php is version 4.2.4
                        I didn't use this command

                        $config['Misc']['vb_url_scheme'] = 'https://';

                        on my config file but doesn't have any problems with wys editor.

                        The problem is, still having some PHP 7 alerts in my log file and hope to get fixed in next vB version.
                        Web Hosting Forum - Learn web hosting and offering your web hosting plans for free!
                        Tranh phong cảnh, tranh treo tường nghệ thuật đẹp!

                        Comment


                        • #13
                          Originally posted by Paul M View Post
                          Im pretty sure that some parts of CKE were hard coded to use http, that might still be the case.
                          I've heard it mentioned, but I've switched about eight sites now including my own, and it's never been a problem. Odd.
                          MARK.B | vBULLETIN SUPPORT

                          TalkNewsUK - My vBulletin 5.5.6 Demo
                          AdminAmmo - My Cloud Demo

                          Comment


                          • #14
                            I could not find any when I was working on 4.2.5.

                            CKE was upgraded a number of times while we were still activly working on vB4 (back in 2012), so if there were any, they probably got removed.
                            Baby, I was born this way

                            Comment


                            • #15
                              Originally posted by Mattwhf View Post
                              The problem is, still having some PHP 7 alerts in my log file and hope to get fixed in next vB version.
                              There isnt going to be a next version, 4.2.5 is the end of the line. (RC2, then Final in May)

                              There have been no bug reports for a while now.

                              Baby, I was born this way

                              Comment


                              • NRJ
                                NRJ commented
                                Editing a comment
                                Hi Paul,
                                Do you mean VB 4.x.x gonna be discontinued? If so, then what would be the next version we have to use? Do we have to buy another license again?

                              • Mattwhf
                                Mattwhf commented
                                Editing a comment
                                NRJ
                                vB5?
                            widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                            Working...
                            X